Subject: Re: linux-next: build failure after merge of the rust tree

From: Jocelyn Falempe <[email-masked]>
Date: Mon, 16 Dec 2024 11:59:38 +0100

On 16/12/2024 11:31, Miguel Ojeda wrote:
> On Mon, Dec 16, 2024 at 6:25 AM Stephen Rothwell <[email-masked]> wrote:
>>
>> After merging the rust tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
> 
> Apologies, fixed now, thanks!
> 
> Jocelyn: we are performing the remapping via the new `ffi` crate in
> this cycle. I had to add a change to `drm_panic_qr.rs` to take
> `c_char` instead of `i8` in `drm_panic_qr_generate`, so that types
> match both before and after the remapping. I think this signature
> would have been better anyway, but please let me know if you disagree!
> 
>      https://github.com/Rust-for-Linux/linux/commit/e1157aee5f038c2c91af269cd48653133e99f3fb
> 
> (Diff copied below too)

Yes, I'm fine with that change, thanks for the fix!

Best regards,

-- 

Jocelyn

> 
> Thanks!
> 
> Cheers,
> Miguel
> 
> [1]
> 
> diff --git a/drivers/gpu/drm/drm_panic_qr.rs b/drivers/gpu/drm/drm_panic_qr.rs
> index ef2d490965ba..bcf248f69252 100644
> --- a/drivers/gpu/drm/drm_panic_qr.rs
> +++ b/drivers/gpu/drm/drm_panic_qr.rs
> @@ -931,7 +931,7 @@ fn draw_all(&mut self, data: impl Iterator<Item = u8>) {
>   /// They must remain valid for the duration of the function call.
>   #[no_mangle]
>   pub unsafe extern "C" fn drm_panic_qr_generate(
> -    url: *const i8,
> +    url: *const kernel::ffi::c_char,
>       data: *mut u8,
>       data_len: usize,
>       data_size: usize,
>